MFLogReader (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class MFLogReader

- java.lang.Object
- - com.marketfactory.messaging.MFLogReader

- All Implemented Interfaces:
    java.lang.Iterable<IMessage>

      public class MFLogReader
      extends java.lang.Object
      implements java.lang.Iterable<IMessage>

  A binary log file reader. This is meant to be used internally, as a library to process a large number of files using Hadoop.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MFLogReader.LogIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MFLogReader(java.lang.String filename)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFilename()`
    `java.util.Iterator<IMessage>` | `iterator()`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### MFLogReader

          public MFLogReader(java.lang.String filename)
                      throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

    - #### iterator

          public java.util.Iterator<IMessage> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<IMessage>`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.FileNotFoundException,
                                  java.io.IOException

      Throws:
        `java.io.FileNotFoundException`
        `java.io.IOException`